CE 219 - Controle Estatístico de Qualidade
==========================================

Prof. Dr. [Walmes Zeviani] (walmes [@] ufpr.br)

## Histórico das aulas

  1. 29/02
     - Informações sobre a disciplina;
     - Introdução e motivação ao CEQ.
  2. 04/03
     - Métodos estatísticos para controle da qualidade;
     - Revisão sobre estatística descritiva
       - Medidas descritivas (posição, dispersão e separação);
       - Visualiação de dados (gráficos).
     - Sabatina 1: 11/03
  3. 11/03
     - Sabatina 01.
  4. 14/03
     - Distribuições de probabilidade;
     - Média e variância de uma ditribuição de probabilidade;
     - Modelos de distribuição de probabilidade para variáveis
       aleatórias discretas.
  5. 18/03
     - Modelos de distribuição de probabilidade para variáveis aleatórias
       contínuas;
     - Sabatina 02.
  6. 21/03
     - Introdução aos Gráficos de Controle;
  7. 28/03
     - Sabatina 03.
  8. 01/04
     - Interpretação do gráfico de controle;
     - Reconhecimento de padrões para saída de controle;
     - Gráficos de controle no R com o pacote
       [qcc](https://cran.r-project.org/web/packages/qcc/index.html).

## Materiais úteis

  1. [Cheat sheets](https://www.rstudio.com/resources/cheatsheets/)
  2. [R Refererence Card v.2](https://cran.r-project.org/doc/contrib/Baggott-refcard-v2.pdf)
  3. Formulário de Estatística:
     <http://leg.ufpr.br/~paulojus/restrito/dicas/node10.html>;
  4. [Slides](http://www.leg.ufpr.br/~walmes/ensino/ce001mb-2014-01/master.pdf)
     sobre distribuições de probabilidade.
  5. [Statistical Quality Control in R](http://blog.yhat.com/posts/quality-control-in-r.html)

## Atividades e avaliações

### Atividade 1 - Gráficos de Controle

**Objetivo**: Gerar um relatório com gráficos de controle para a média
($\bar{X}$) e amplitude ($R$).

1. Definir uma situação real da produção de algum item. Seja criativo.
2. Definir uma medida numérica de qualidade para o item.
3. Fazer o plano de alocação de esforço de amostragem para definfir $m$
   e $n$.
4. Coletar as amostras e produzir os gráficos de controle de controle
   para a média e amplitude. Pode usar o pacote `qcc`.
5. Com o gráfico de controle calibrado, coletar mais amostras (~40% da
   quantidade usada para calibração) e adicionar ao gráfico.
6. Escrever um relatório de duas páginas (1 folha A4 frente e
   verso). Incluir:
   1. Breve introdução sobre Gráficos de Controle da Qualidade;
   2. Descrição da manufatura do produto e medida de qualidade;
   3. Gráfico de causa-e-efeito para o processo de fabricação do produto
      e influencia sobre a medida de qualidade, descrevê-lo;
   4. Descrição do desenho amostral e forma de aquisição dos dados;
   5. Análise descritiva preliminar da amostra piloto, com gráficos e/ou
      medidas resumo;
   6. Construção/calibração dos gráficos de controle preliminares (não
      incluir no documento);
   7. Análise do estado de controle do processo (análise do padrão);
   8. Fazer e acrescentar mais amostras ao gráfico (apresentar o gráfico
      com as duas amostras);
   9. Reavaliar o estado de controle;
   10. Concluir sobre o processo indicando ações para a sua melhoria.
   11. Fazer a conclusão.
7. Para produzir o relatório, recomenda-se usar o padrão default de
   relatório R Markdown disponível no RStudio para documentos PDF (menu
   `File > New file > R Markdown > PDF`).
8. Criar na sua conta do GitLab (<https://gitlab.c3sl.ufpr.br/>) um
   repositório chamado `ce219`. Adicionar o Prof. como colaborador de
   nível `Guest`.
9. Subir para o Git o arquivo `*.Rmd` (fonte), o `*.pdf` (gerado), e o
   `*.txt` com os dados coletados. Coloque-os em um diretório chamado
   `trab1`. Não é preciso instalar o Git. Use os recursos de `upload`
   disponíveis no GitLab.

## Notas

Tabela ordenada pelo GRR.

|grr      |  S1|    S2|
|:--------|---:|-----:|
|20066149 | 0.5| 0.250|
|20100057 | 0.3| 0.000|
|20110053 | 0.8| 0.700|
|20110493 | 0.7|    NA|
|20110497 | 0.9| 0.750|
|20112994 |  NA| 0.675|
|20115304 | 0.6| 0.500|
|20115305 | 0.7| 0.625|
|20118357 | 0.6| 0.375|
|20120241 | 0.6| 0.325|
|20120246 | 0.9| 0.625|
|20120283 |  NA|    NA|
|20124656 | 0.4| 0.625|
|20124660 | 0.4|    NA|
|20124662 |  NA|    NA|
|20124663 | 0.5| 0.075|
|20124669 | 0.4| 0.625|
|20124678 | 0.6| 0.375|
|20124682 | 0.9| 0.575|
|20124691 | 0.7| 0.600|
|20124692 | 0.4| 0.125|
|20126562 | 0.6| 0.875|
|20130172 | 0.7| 0.625|
|20137520 |  NA| 0.625|
|20137524 | 0.6| 0.250|
|20137538 | 0.6| 0.700|
|20137542 |  NA| 0.500|
|20137544 | 0.8| 0.250|
|20137551 | 0.8| 0.850|
|20137552 | 0.7| 0.500|
|20137558 | 0.8| 0.500|
|20137564 | 0.5| 0.625|
|20137589 | 0.5| 0.625|
|20137598 | 0.1|    NA|
|20137599 | 0.4| 0.500|
|20149075 | 0.5| 0.850|
|20149092 | 0.5| 0.750|
|20149101 | 0.4| 0.700|
|20149122 | 0.8| 0.750|
|20149144 | 0.9| 0.700|
|20149157 | 0.6| 0.750|
|20150266 | 0.7| 0.750|
|20165678 | 0.8| 0.925|

[Walmes Zeviani]: http://www.leg.ufpr.br/~walmes
[pet-estatistica/git-tutorial]: https://gitlab.c3sl.ufpr.br/pet-estatistica/git-tutorial
